using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Fm.Bussiness;

public partial class Admin_Link_List : BasePage
{

    protected void Page_Load(object sender, EventArgs e)
    {
        GetPage("");
    }
    void GetPage(string where)
    {
        FormPaging_Rep1.TableName = "Fm_link";
        FormPaging_Rep1.ColName = "link_id";
        FormPaging_Rep1.Where = "";
        FormPaging_Rep1.Rep = Repeater1;
    }
    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        sys_link link=new sys_link();
        LinkButton tp = sender as LinkButton;

        Fm.EntityClass.Link lk = new Fm.EntityClass.Link();
        lk.link_id = int.Parse(tp.ToolTip);

        if (link.Link_Del(lk))
        {
            Response.Redirect("Erro.aspx?eid=友情连接信息删除成功!&url=Link_List.aspx", true);
        }
    }
}
